| DocBook: The Definitive Guide 2.0.17 (Alpha)

# book

$Revision$

$Date$

book — A book

## Synopsis

### Content Model

    book ::=
    ((title,subtitle?,titleabbrev?)?,
     bookinfo?,
     (dedication|toc|lot|glossary|bibliography|preface|chapter|
      reference|part|article|appendix|index|setindex|colophon)*)

### Attributes

Common attributes

Name | Type | Default
status | CDATA | None
fpi | CDATA | None
label | CDATA | None

## Description

A complete book. This is probably the most common document starting point in DocBook documents. The content model of `Book` was made dramatically less restrictive in DocBook V3.1.

### Processing expectations

Formatted as a displayed block. Generally causes a forced page break, restarts page numbering, and may generate additional front and back matter (tables of contents and indexes, for example) automatically. In a `Set`, `Book` almost always begins on the next available recto page.

The input order of major components is taken to be the desired output order.

### Parents

These elements contain book: `set`.

### Children

The following elements occur in book: `appendix`, `article`, `bibliography`, `bookinfo`, `chapter`, `colophon`, `dedication`, `glossary`, `index`, `lot`, `part`, `preface`, `reference`, `setindex`, `subtitle`, `title`, `titleabbrev`, `toc`.

## Attributes

fpi

  `FPI` holds the Formal Public Identifier for the `Book`.

label

  `Label` specifies an identifying string for presentation purposes. The third `Book` in a `Set` might be labeled “Volume III”, for example.

  Generally, an explicit `Label` attribute is used only if the processing system is incapable of generating the label automatically. If present, the `Label` is normative; it will used even if the processing system is capable of automatic labelling.

status

  `Status` identifies the editorial or publication status of the `Book`.

  Publication status might be used to control formatting (for example, printing a “draft” watermark on drafts) or processing (perhaps a document with a status of “final” should not include any components that are not final).

## See Also

`appendix`, `article`, `chapter`, `colophon`, `dedication`, `part`, `partintro`, `preface`, `set`.

## Examples

    <!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <book>
    <title>An Example Book</title>
    <titleabbrev>Example</titleabbrev>
    <bookinfo>
      <legalnotice><para>No notice is required.</para></legalnotice>
      <author><firstname>Norman</firstname><surname>Walsh</surname></author>
    </bookinfo>
    <dedication>
    <para>
    This book is dedicated to you.
    </para>
    </dedication>
    <preface><title>Foreword</title>
    <para>
    Some content is always required.
    </para>
    </preface>
    <chapter><title>Required Chapter</title>
    <para>
    At least one chapter, reference, part, or article is required in a book.
    </para>
    </chapter>
    <appendix><title>Optional Appendix</title>
    <para>
    Appendixes are optional.
    </para>
    </appendix>
    </book>

For additional examples, see also `appendix`, `collab`, `set`, `xref`.

blockquote |  | bookinfo

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.